node.js express 4.x 安装指南

   前几天express 推出了4.0,得知这个消息,自己尝试了一下,突然发现用以前的文档上的操作出现了各种问题。结果只能去看文档,现在在这个给大家分享下4.0版本的安装。

   先说下如果需要用express 3.x版本,直接使用nmp 中的@字符确定版本,指令如下:

 npm install -g express-generator@3

   如果需要使用4.0,这里有个需要注意的问题在4.x版本express 已经把命令行工具分离出来 (链接https://github.com/expressjs/generator

   我们现在全局安装只需要安装这个命令行工具就可以,指令如下:

   npm install -g express-generator

   这时我们就着手安装express框架,指令如下:

  •    express blog && cd blog

         ( blog是安装的文件夹名)

  • npm install

       (安装express及依赖)

  • npm start

(这里需要注意 express 4.x 无法以 node app.js 为启动方式,而是用指令 npm start 作为启动)

 访问 http://localhost:3000/ 出现熟悉的Welcome to Express,证明安装成功。

  这时我们就可以尝试4.0的新功能了。

 

 

   

 

posted @ 2014-04-16 23:27 moonpanda 阅读(...) 评论(...) 编辑 收藏